/*
 *   Copyright (C) 1999  Andrea Gini
 *
 *   Require JDK 1.3
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *   Send questions or suggestions to ginian@tiscalinet.it
 *
 */
import javax.swing.*;
import java.awt.*;

public class TripleSplit extends JFrame {
  public TripleSplit() {
    super("JSplitPane");
    setSize(300,150);
    
    JScrollPane scroll1 = new JScrollPane(new JTextArea());
    JScrollPane scroll2 = new JScrollPane(new JTextArea());
    JScrollPane scroll3 = new JScrollPane(new JTextArea());
    
    JSplitPane verticalSplitPane = new JSplitPane(JSplitPane.VERTICAL_SPLIT,scroll1, scroll2);
    JSplitPane horizontalSplitPane = new JSplitPane(JSplitPane.HORIZONTAL_SPLIT,scroll3, verticalSplitPane);
    
    getContentPane().add(horizontalSplitPane);
    setVisible(true);    
  }
 public static void main(String argv[])
 {
    TripleSplit b = new TripleSplit();
 }
} 

